# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name    kleansweep
%define version 0.2.4
%define release 1.2006mcnl
%define summary Reclaim your disk space
%define section System/File Tools

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
URL:            http://linux.bydg.org/~yogin/
License:        GPL
Group:          System/Configuration/Other
Vendor:         Mandrivaclub.nl
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libxfree86-devel libqt3-devel

%description
KleanSweep
KleanSweep screenshot KleanSweep allows you to reclaim 
disk space by finding unneeded files. It can search for 
files basing on several criterias; you can seek for:

    * empty files
    * backup files
    * broken symbolic links
    * dead menu entries
    * duplicated files
    * orphaned files (files not found in RPM database). 


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
%configure 

./scons

%install

./scons install DESTDIR=$RPM_BUILD_ROOT

rm -r %{buildroot}%{_iconsdir}

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="system_section.png" \
section="%section" \
title="Kleansweep" \
longtitle="%summary"
EOF


%clean 
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root,0755) 
%doc README TODO COPYING AUTHORS 
%{_bindir}/%{name}
%{_bindir}/kleansweep-helper

%{_menudir}/%{name}

%{_datadir}/applnk/System/%{name}.desktop
%{_datadir}/apps/%{name}
#%{_defaultdocdir}/HTML/en/KleanSweep


%changelog
* Thu Jan 05 2006 Marco Meijer <marco@mandrivaclub.nl> 0.2.4-1.2006mcnl
  new version

* Mon Dec 19 2005 Marco Meijer <marco@mandrivaclub.nl> 0.2.3-1.2006mcnl
  new version

* Tue Nov 01 2005 Marco Meijer <marco@mandrivaclub.nl> 0.2.0-1.102mcnl
  new version

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.9-1.102mcnl
  new version

* Mon Sep 26 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.8-1.102mcnl
  new version

* Fri Sep 23 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.7-1.102mcnl
  new version

* Mon Sep 19 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.6-1.102mcnl
  new version

* Sat Sep 10 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.1-1.102mcnl
  First build for Mandrivaclub.nl



